{
  "openapi" : "3.0.2",
  "info" : {
    "title" : "Securities Settlement View API",
    "description" : "The API supports retrieval of previously created Securities Settlement Instruction by the Participant. Securities Settlement Instruction is used by the Instructing party to request a transfer of securities, relating to a securities settlement with or without a cash payment. In a securities settlement lifecycle both sides, meaning the asset manager and broker dealer will initiate the process from each side, and these instructions will be pushed downstream by the various intermediaries to meet in the middle with the Central Securities Depository (the so-called CSD). \n\n`The API supports following type of instruction:`\n\n  * Consolidate view of delivery and receive post trade settlement instructions\n  * Audit events in a chain of settlement instructions\n  * Get status update of securities settlement by criteria\n\n`Error Responses`\n\nThe API uses common HTTP status codes in the response header to indicate success or failure. Specific error code and description will be returned in the custom error schema.\n\n`Query Parameters`\n\nEach URL query parameter specifies an API query parameter that must be URL encoded.\n  \n",
    "contact" : {
      "name" : "Developer Hub",
      "url" : "https://developer.swift.com",
      "email" : "developer-support@swift.com"
    },
    "license" : {
      "name" : "API Restricted License",
      "url" : "https://developer.swift.com/api-license"
    },
    "version" : "1.0.6"
  },
  "servers" : [ {
    "description" : "SwaggerHub API Auto Mocking",
    "url" : "https://virtserver.swaggerhub.com/SWIFT-API/securities-settlement-view/1.0.6"
  }, {
    "description" : "URL for Apigee (SDK consumer) Pilot.",
    "url" : "https://api-test.swiftnet.sipn.swift.com/swift-securities-view-pilot/v1"
  }, {
    "description" : "URL for Apigee (SDK consumer) Live.",
    "url" : "https://api.swiftnet.sipn.swift.com/swift-securities-view/v1"
  }, {
    "description" : "URL for Sandbox Environment.",
    "url" : "https://sandbox.swift.com/swift-securities-view/v1"
  } ],
  "security" : [ {
    "oauthBearerToken" : [ ]
  } ],
  "tags" : [ {
    "name" : "Securities View"
  } ],
  "paths" : {
    "/securities-settlement-views" : {
      "get" : {
        "tags" : [ "Securities View" ],
        "summary" : "Get Securities Settlement View.",
        "description" : "The endpoint will retrieve a consolidated view of receipt or delivery Securities Settlement instruction with or without payment when an UTI is supplied in the query parameter.\n\n**Specifying Request Filter**\n\nParameters are specified in the form name=value. A parameter list is appended to a URI after a \"?\". Multiple parameters are separated by \"&\".\n\nNote that the query parameters are not URL encoded for readability.\n\nhttps://api.swiftnet.sipn.swift.com/swift-securities-views/v1/swift-securities-view?uti=1A2B3C4D5E0000000000000000000000123456789\n\nhttps://api.swiftnet.sipn.swift.com/swift-securities-views/v1/swift-securities-view?transaction-identification=FRTJ123REC2&participant-bic=DEUTDEFF\n",
        "operationId" : "getSecuritiesSettlementView",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/RBACRole"
        }, {
          "$ref" : "#/components/parameters/uti"
        }, {
          "$ref" : "#/components/parameters/transaction-identification"
        }, {
          "$ref" : "#/components/parameters/participant-bic"
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "headers" : {
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            },
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "object",
                  "additionalProperties" : false,
                  "properties" : {
                    "settlement_report" : {
                      "description" : "Provides a consolidate view of delivery and receive post trade settlement instructions.",
                      "type" : "array",
                      "items" : {
                        "$ref" : "#/components/schemas/SecuritiesSettlementView"
                      }
                    }
                  }
                },
                "examples" : {
                  "SettlementInstructionsViewBothSideAPMT" : {
                    "$ref" : "#/components/examples/SettlementInstructionsViewBothSideAPMT"
                  },
                  "SettlementInstructionsNoRecord" : {
                    "$ref" : "#/components/examples/SettlementInstructionsNoRecord"
                  },
                  "SettlementInstructionsViewFull" : {
                    "$ref" : "#/components/examples/SettlementInstructionsViewFull"
                  }
                }
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "405" : {
            "$ref" : "#/components/responses/405-MethodNotAllowed"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "413" : {
            "$ref" : "#/components/responses/413-PayloadTooLarge"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    },
    "/securities-settlement-instructions/{instruction-identifier}/settlement-instruction-audit-events" : {
      "get" : {
        "tags" : [ "Securities View" ],
        "summary" : "Get Settlement Instruction Audit Events.",
        "description" : "The endpoint will retrieve audit event of a specific Securities Settlement Instruction as specified in the request URI. As the instruction progress through various parties in the chain, the response will contain summary of each event in its progression at the time of request.",
        "operationId" : "getSecuritiesSettlementInstructionAuditEvents",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/RBACRole"
        }, {
          "$ref" : "#/components/parameters/instruction-identifier"
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "headers" : {
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            },
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "object",
                  "additionalProperties" : false,
                  "properties" : {
                    "securities_settlement_instruction_events" : {
                      "description" : "Provides history of each instruction in a chain of settlement instruction lifecycle.",
                      "type" : "array",
                      "items" : {
                        "$ref" : "#/components/schemas/SecuritiesSettlementInstructionDetail"
                      }
                    }
                  }
                },
                "examples" : {
                  "GET-SettlementInstructionsAuditEvent" : {
                    "$ref" : "#/components/examples/GET-SettlementInstructionsAuditEvent"
                  },
                  "GET-SettlementInstructionsAuditEventNoRecord" : {
                    "$ref" : "#/components/examples/GET-SettlementInstructionsAuditEventNoRecord"
                  },
                  "GET-SettlementInstructionsAuditEventFull" : {
                    "$ref" : "#/components/examples/GET-SettlementInstructionsAuditEventFull"
                  }
                }
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "405" : {
            "$ref" : "#/components/responses/405-MethodNotAllowed"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    },
    "/settlement-instruction-status-summary-report" : {
      "get" : {
        "tags" : [ "Securities View" ],
        "summary" : "Get Instruction Status Summary.",
        "description" : "The endpoint will retrieve summary report of securities settlement instruction status by the criteria provided",
        "operationId" : "getSecuritiesSettlementInstructionStatusSummary",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/RBACRole"
        }, {
          "$ref" : "#/components/parameters/bic"
        }, {
          "$ref" : "#/components/parameters/from-date-time"
        }, {
          "$ref" : "#/components/parameters/to-date-time"
        }, {
          "$ref" : "#/components/parameters/pagination-limit"
        }, {
          "$ref" : "#/components/parameters/next-page-token"
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "headers" : {
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            },
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SecuritiesSettlementStatusReport"
                },
                "examples" : {
                  "GET-SettlementInstructionsStatusReport" : {
                    "$ref" : "#/components/examples/GET-SettlementInstructionsStatusReport"
                  },
                  "GET-SettlementInstructionsAuditEventFull" : {
                    "$ref" : "#/components/examples/GET-SettlementInstructionsStatusReport-RAW"
                  }
                }
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "405" : {
            "$ref" : "#/components/responses/405-MethodNotAllowed"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    }
  },
  "components" : {
    "schemas" : {
      "ActiveCurrencyAndAmount" : {
        "type" : "object",
        "description" : "A number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.",
        "additionalProperties" : false,
        "properties" : {
          "currency" : {
            "$ref" : "#/components/schemas/ActiveCurrencyCode"
          },
          "amount" : {
            "type" : "string",
            "maxLength" : 19,
            "pattern" : "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
          }
        },
        "required" : [ "currency", "amount" ]
      },
      "ActiveCurrencyCode" : {
        "type" : "string",
        "pattern" : "^[A-Z]{3,3}$",
        "description" : "A code allocated to a currency by a Maintenance Agency under an international identification scheme as described in the latest edition of the international standard ISO 4217 \"Codes for the representation of currencies and funds\".\n"
      },
      "ActiveOrHistoricCurrencyAnd13DecimalAmount" : {
        "type" : "object",
        "description" : "A number of monetary units specified in an active or a historic currency where the unit of currency is explicit and compliant with ISO 4217. The number of fractional digits (or minor unit of currency) is not checked as per ISO 4217: It must be lesser than or equal to 13.\nNote: The decimal separator is a dot.\n",
        "additionalProperties" : false,
        "properties" : {
          "currency" : {
            "$ref" : "#/components/schemas/ActiveOrHistoricCurrencyCode"
          },
          "amount" : {
            "type" : "string",
            "maxLength" : 19,
            "pattern" : "^0*(([0-9]{0,5}\\.[0-9]{1,13})|([0-9]{0,6}\\.[0-9]{1,12})|([0-9]{0,7}\\.[0-9]{1,11})|([0-9]{0,8}\\.[0-9]{1,10})|([0-9]{0,9}\\.[0-9]{1,9})|([0-9]{0,10}\\.[0-9]{1,8})|([0-9]{0,11}\\.[0-9]{1,7})|([0-9]{0,12}\\.[0-9]{1,6})|([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
          }
        },
        "required" : [ "currency", "amount" ]
      },
      "ActiveOrHistoricCurrencyCode" : {
        "type" : "string",
        "pattern" : "^[A-Z]{3,3}$",
        "description" : "A code allocated to a currency by a Maintenance Agency under an international identification scheme, as described in the latest edition of the international standard ISO 4217 \"Codes for the representation of currencies and funds\".\n"
      },
      "AddressTypeCode" : {
        "type" : "string",
        "description" : "Specifies the type of address.\n* HOME -  Address is the home address.\n* BIZZ -  Address is the business address.\n* ADDR -  Address is the complete postal address.\n* PBOX -  Address is a postal office (PO) box.\n* MLTO -  Address is the address to which mail is sent.\n* DLVY -  Address is the address to which delivery is to take place.\n",
        "enum" : [ "HOME", "BIZZ", "ADDR", "PBOX", "MLTO", "DLVY" ]
      },
      "AmountAndDirectionSummary" : {
        "type" : "object",
        "description" : "Posting of an item to a cash account, in the context of a cash transaction, that results in an increase or decrease to the balance of the account.\n",
        "additionalProperties" : false,
        "properties" : {
          "amount" : {
            "x-MXComponent" : "ActiveCurrencyAndAmount",
            "$ref" : "#/components/schemas/ActiveCurrencyAndAmount"
          },
          "credit_debit_indicator" : {
            "type" : "string",
            "description" : "Indicates whether an entry is a credit or a debit.\n* CRDT - credit -Operation is an increase.\n* DBIT - debit  -Operation is a decrease.\n",
            "enum" : [ "CRDT", "DBIT" ]
          }
        },
        "required" : [ "amount", "credit_debit_indicator" ]
      },
      "DateAndDateTimeChoice" : {
        "type" : "object",
        "description" : "Choice between a date or a date and time format.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "date" : {
              "$ref" : "#/components/schemas/ISODate"
            }
          },
          "required" : [ "date" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "date_time" : {
              "$ref" : "#/components/schemas/ISODateTime"
            }
          },
          "required" : [ "date_time" ]
        } ]
      },
      "DateTypeCode" : {
        "type" : "string",
        "description" : "Ongoing basis, which indicates that the date is determined by \"ongoing basis\" process, for example \"au fil de l'eau\".\n\n* VARI - Partial trades have occurred over a period of two or more days.\n",
        "enum" : [ "VARI" ]
      },
      "EffectiveSettlementDateChoice" : {
        "type" : "object",
        "description" : "Choice of format for the settlement date.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "date" : {
              "$ref" : "#/components/schemas/DateAndDateTimeChoice"
            }
          },
          "required" : [ "date" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "date_code" : {
              "x-MXComponent" : "SettlementDateCode9Choice",
              "$ref" : "#/components/schemas/GenericIdentification43535"
            }
          },
          "required" : [ "date_code" ]
        } ]
      },
      "FinancialInstrumentQuantityChoice" : {
        "type" : "object",
        "description" : "Choice between formats for the quantity of security.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "unit" : {
              "x-MXComponent" : "DecimalNumber",
              "description" : "Quantity expressed as a number, for example, a number of shares for example 0.75 or 45.6.  \n\ntotalDigits: 18 \nfractionDigits: 17\n",
              "type" : "string",
              "maxLength" : 18
            }
          },
          "required" : [ "unit" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "face_amount" : {
              "x-MXComponent" : "ImpliedCurrencyAndAmount",
              "description" : "Quantity expressed as an amount representing the face amount, that is, the principal, of a debt instrument.\n\nminInclusive: 0\ntotalDigits: 18\nfractionDigits: 5\n",
              "type" : "string",
              "maxLength" : 18
            }
          },
          "required" : [ "face_amount" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "amortised_value" : {
              "x-MXComponent" : "ImpliedCurrencyAndAmount",
              "description" : "Quantity expressed as an amount representing the current amortised face amount of a bond, for example, a periodic reduction/increase of a bond's principal amount.\n\nminInclusive: 0\ntotalDigits: 18\nfractionDigits: 5\n",
              "type" : "string",
              "maxLength" : 18
            }
          },
          "required" : [ "amortised_value" ]
        } ]
      },
      "GenericIdentification" : {
        "type" : "object",
        "description" : "Information related to an identification, for example, party identification or account identification.",
        "additionalProperties" : false,
        "properties" : {
          "identification" : {
            "x-MXComponent" : "Max35Text",
            "description" : "Proprietary information, often a code, issued by the data source scheme issuer.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "issuer" : {
            "x-MXComponent" : "Max35Text",
            "description" : "Entity that assigns the identification.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "scheme_name" : {
            "x-MXComponent" : "Max35Text",
            "description" : "Short textual description of the scheme.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          }
        },
        "required" : [ "identification", "issuer" ]
      },
      "GenericIdentification43535" : {
        "type" : "object",
        "description" : "Information related to an identification, for example, party identification or account identification.",
        "additionalProperties" : false,
        "properties" : {
          "identification" : {
            "x-MXComponent" : "Exact4AlphaNumericText",
            "description" : "Proprietary information, often a code, issued by the data source scheme issuer.",
            "type" : "string",
            "pattern" : "^[a-zA-Z0-9]{4}$"
          },
          "issuer" : {
            "x-MXComponent" : "Max35Text",
            "description" : "Entity that assigns the identification.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "scheme_name" : {
            "x-MXComponent" : "Max35Text",
            "description" : "Short textual description of the scheme.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          }
        },
        "required" : [ "identification", "issuer" ]
      },
      "GenericIdentification444" : {
        "type" : "object",
        "description" : "Information related to an identification, for example, party identification or account identification.",
        "additionalProperties" : false,
        "properties" : {
          "identification" : {
            "x-MXComponent" : "Exact4AlphaNumericText",
            "description" : "Proprietary information, often a code, issued by the data source scheme issuer.",
            "type" : "string",
            "minLength" : 4,
            "maxLength" : 4,
            "pattern" : "^([a-zA-Z0-9])+$"
          },
          "issuer" : {
            "x-MXComponent" : "Max4AlphaNumericText",
            "description" : "Entity that assigns the identification.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 4,
            "pattern" : "^([a-zA-Z0-9])+$"
          },
          "scheme_name" : {
            "x-MXComponent" : "Max4AlphaNumericText",
            "description" : "Short textual description of the scheme.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 4,
            "pattern" : "^([a-zA-Z0-9])+$"
          }
        },
        "required" : [ "identification", "issuer" ]
      },
      "ISODate" : {
        "type" : "string",
        "description" : "A particular point in the progression of time in a calendar year expressed in the YYYY-MM-DD format. This representation is defined in \"XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004\" which is aligned with ISO 8601.\n",
        "pattern" : "^(?:[1-9]\\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)(?:Z|[+-][01]\\d:[0-5]\\d)?$"
      },
      "ISODateTime" : {
        "type" : "string",
        "description" : "A particular point in the progression of time defined by a mandatory date and a mandatory time component, expressed in either UTC time format (YYYY-MM-DDThh:mm:ss.sssZ), local time with UTC offset format (YYYY-MM-DDThh:mm:ss.sss+/-hh:mm), or local time format (YYYY-MM-DDThh:mm:ss.sss). These representations are defined in \"XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004\" which is aligned with ISO 8601.\nNote on the time format:\n1) beginning / end of calendar day\n00:00:00 = the beginning of a calendar day\n24:00:00 = the end of a calendar day\n2) fractions of second in time format\nDecimal fractions of seconds may be included. In this case, the involved parties shall agree on the maximum number of digits that are allowed.\n",
        "pattern" : "^(?:[1-9]\\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)T(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.[0-9]+)?(?:Z|[+-][01]\\d:[0-5]\\d)?$"
      },
      "IdentificationSourceChoice" : {
        "type" : "object",
        "description" : "Choice between source of identification of a financial instrument.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "code" : {
              "x-MXComponent" : "ExternalFinancialInstrumentIdentificationTypeCode",
              "description" : "Unique and unambiguous identification source, as assigned via a pre-determined code list. Specifies the external financial instrument identification type scheme name code in the format of character string with a maximum length of 4 characters. The list of valid codes is an external code list published separately. External code sets can be downloaded from www.iso20022.org.\n",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 4
            }
          },
          "required" : [ "code" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "proprietary" : {
              "x-MXComponent" : "RestrictedFINExact2Text",
              "description" : "Unique and unambiguous identification source using a proprietary identification scheme. Specifies a character string with an exact length of 2 characters matching the pattern XX|TS.",
              "type" : "string",
              "minLength" : 2,
              "maxLength" : 2,
              "pattern" : "^XX|TS$"
            }
          },
          "required" : [ "proprietary" ]
        } ]
      },
      "InstructionLifecycleStatusChoice" : {
        "type" : "object",
        "description" : "Provideds the status of securities settlement.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "code" : {
              "$ref" : "#/components/schemas/SecuritiesSettlementInstructionLifecycleStatusTypeCode"
            }
          },
          "required" : [ "code" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "proprietary" : {
              "x-MXComponent" : "GenericIdentification47",
              "$ref" : "#/components/schemas/GenericIdentification43535"
            }
          },
          "required" : [ "proprietary" ]
        } ]
      },
      "InstructionLifecycleStatusReasonChoice" : {
        "type" : "object",
        "description" : "Reason provided for the status.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "code" : {
              "$ref" : "#/components/schemas/InstructionLifecycleStatusReasonCode"
            }
          },
          "required" : [ "code" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "proprietary" : {
              "x-MXComponent" : "GenericIdentification47",
              "$ref" : "#/components/schemas/GenericIdentification444"
            }
          },
          "required" : [ "proprietary" ]
        } ]
      },
      "InstructionLifecycleStatusReasonCode" : {
        "type" : "string",
        "description" : "Specifies additional information about the processed instruction.\n\n* ADEA - Received after the account servicer's deadline. Processed on best effort basis.\n* SMPG - Instruction is accepted but does not comply with the market practice rule published for the concerned market or process.\n* NSTP - Instruction was not straight through processing and had to be processed manually.\n* RQWV - Instruction registration is accepted but the registration is not in full, that is, not with voting rights.\n* OTHR - Other. See Narrative.\n* CDCY - Execution is conditional to the execution of a process linked to the currency of the transaction.\n* CDRG - Execution is conditional to the execution of a process at the registrar.\n* CDRE - Execution is conditional to the execution of a process of realignment at the issuer CSD.\n* NARR - See narrative field for reason.\n* BLOC - Your account is blocked, no instruction can settle over the account.\n* DOCY - Awaiting documents, registration instruction or endorsements from you.\n* CAIS - Awaiting financial instruments from a corporate action issue or other procedure, for example, conversion, dematerialisation, exchange, registration, stamping, splitting.\n* YCOL - Insufficient collateral in your account to execute the instruction.\n* CDEL - Instruction is in a hold/frozen/preadvice mode as it fulfils predefined conditional delivery rules in the market infrastructure platform for conditional delivery.\n* CDAC - Awaiting cancellation of one of the party.\n* CDLR - Instruction is in a hold/frozen/preadvice mode. Market infrastructure platform is awaiting release.\n* CSDH - Central securities depository sets the instruction in a hold/frozen/preadvice mode.\n* CVAL - Instruction is in a hold/frozen/preadvice mode as it fulfils predefined conditions of a restriction processing type in the market infrastructure platform.\n* GLOB - Settlement cannot be executed; financial instruments are in global form.\n* INBC - Not all the instructions part of a pool have been received.\n* LIQU - Central bank liquidity is insufficient.\n* MONY - Insufficient money in your account.\n* LACK - Insufficient financial instruments in your account.\n* FLIM - Insufficient deliverable financial instruments in your account as maximum foreign limit has been reached.\n* MINO - Quantity instructed is lower than the minimum existing settlement quantity for the financial instrument.\n* NEXT - Next process is launched. No processing pending problems to be reported.\n* NOFX - A foreign exchange instruction from you is missing.\n* LALO - Financial instruments are out on loan.\n* COLL - Financial instruments are not deliverable as they are pledged as collateral.\n* DENO - Quantity instructed does not match the denomination available/deliverable. Physical securities need to be obtained in deliverable denominated quantities.\n* CERT - Certificate number error.\n* SAFE - Instruction contains an invalid or unrecognised safekeeping account.\n* CASH - Unrecognised or invalid cash account.\n* PLCE - Unrecognised or invalid place of trade.\n* DDEA - Unrecognised or invalid deal price.\n* DSEC - Unrecognised or invalid financial instrument identification.\n* LATE - Received after market deadline.\n* DQUA - Unrecognised or invalid instructed quantity.\n* DTRD - Unrecognised or invalid trade date or requested trade date or future trade date.\n* MUNO - Quantity instructed is not a multiple of an existing settlement quantity lot for the financial instrument.\n* BATC - Unrecognised or invalid processing batch, that is, daytime/real-time while only possible to settle in overnight batch.\n* SDUT - Stamp duty information is missing.\n* NCRR - Unrecognised or invalid settlement amount currency.\n* REFE - Instruction has a reference identical to another previously received instruction.\n* DMON - Unrecognised or invalid settlement amount. OR Counterparty disagrees with the settlement amount.\n* TXST - Unrecognised or invalid tax status of the securities instructed.\n* IIND - Unrecognised, invalid or missing common reference.\n* CAEV - Corporate action pending on the financial instrument instructed.\n* CASY - Impossible standing arrangements override instruction for the cash settlement system.\n* DDAT - Settlement date/time does not match or invalid settlement date.\n* SETR - Unrecognised or invalid settlement transaction type.\n* INPS - Unrecognised, invalid or missing place of safekeeping or place of safekeeping information does not allow matching to take place.\n* DEPT - Unrecognised or invalid depository or depository mismatch. OR Counterparty disagrees with the place of settlement.\n* INVB - Unrecognised, invalid or missing balance.\n* INVE - Unrecognised or invalid investor party. May be used by an executing party to reject an instruction for an investor (or portfolio) for which it is not authorised to act.\n* INVL - Invalid or unrecognized link.\n* INVN - Invalid or unrecognized lot number.\n* PLIS - Unrecognised or invalid place of listing or place of listing does not match. Used when the security identified is not listed on the market supplied.\n* CTHP - Instruction has been cancelled by a third party.\n* CXLR - Transaction is rejected by the executing party, the rejection is final therefore the order is cancelled in the system.\n* DOCC - Awaiting documents, registration instruction or endorsements from counterparty.\n* AWMO - Financial instruments are delivered, but still awaiting money from the counterparty.\n* CYCL - Instruction is confirmed in the local market or is ready for settlement, awaiting next settlement cycle.\n* LAAW - Awaiting settlement of a purchase to cover failing positions.\n* AWSH - Financial instruments have not yet been received from the counterparty.\n* FUTU - Awaiting settlement date. No settlement problems to be reported.\n* BENO - Disagreement in beneficial ownership.\n* BOTH - Counterparty's instruction and your instruction are on hold/frozen/in a preadvice mode.\n* REGT - Certificates have been lodged with the registrar but rejected due to incomplete documentation or foreign ownership limitation reached.\n* CLHT - Instructed settlement date does not agree with the settlement date on the Clearing House trade.\n* NCON - Confirmation of settlement has not yet been received.\n* CPEC - Counterparty is in receivership (form of bankruptcy where a court appointed person, the receiver, manages the affairs of the business).\n* PRCY - Counterparty's instruction is on hold/frozen/in a preadvice mode.\n* CMON - Insufficient money in counterparty's account.\n* CLAC - Insufficient deliverable financial instruments in counterparty's account or counterparty does not hold financial instruments.\n* DKNY - Counterparty has returned or refused the financial instruments.\n* CHAS - A chaser/enquiry has been sent.\n* INCA - Financial instruments require income adjustment, for example, dividend or interest.\n* REFU - Instruction has been refused or not recognised and is represented automatically.\n* DISA - Exceptional closing of all financial institutions due to natural disaster, for example, earthquake.\n* NEWI - Financial instrument is a new issue and not yet available/tradable.\n* NMAS - Instruction has not been matched; matching process is not required or has not yet started.\n* REFS - Delivery/receipt was refused because physical financial instruments are not in good order.\n* LINK - Your instruction is pending settlement because the instruction linked to it is pending.\n* PHSE - Settlement is physical. Financial instruments are being delivered.\n* PHCK - Physical financial instruments have been received and are being checked for authenticity.\n* DEPO - Deposit of shares for the issuing of depositary receipts has been refused. The allotment granted by the issuer is exceeded by your transaction.\n* SBLO - Financial instruments are blocked due to a corporate action event, realignment, etc.\n* FROZ - Financial instruments are blocked at the Central Security Depository (CSD) following a corporate event.\n* SETS - Settlement system/method does not match, unrecognised or invalid\n* IAAD - Pending reason being investigated.\n* PRSY - Transaction was put on hold/frozen by the system.\n* TAMM - Trade is being amended in the market.\n* PART - Trade will settle in partials.\n* PREA - Your instruction is a preadvice, that is, for matching only.\n* BYIY - Buy-in procedure has started on the market (on your behalf if your instruction is a receipt, by the counterparty if your instruction is a delivery).\n* CANI - Instruction has been cancelled as per your request.\n* CANS - Instruction has been cancelled by the settlement system.\n* CANT - Original instruction has been cancelled and replaced due to a corporate action.\n* CANZ - Original instruction has been cancelled and replaced to allow a partial or split settlement.\n* CORP - Instruction has been cancelled due to a corporate action.\n* CSUB - Instruction has been cancelled by the agent.\n* EXPI - Instruction has expired.\n* SCEX - Instruction has been cancelled; the security no longer exists or is no longer eligible on the market instructed. For corporate action related cancellation, CORP should be used.\n* CONF - Awaiting confirmation from the counterparty.\n* CALD - Repurchase agreement call is in process.\n* CALP - Repurchase agreement call is processed.\n* CLAI - Relates to a market claim.\n* RODE - Relates to the return of financial instruments resulting from a rejected delivery without matching operation.\n* SPLI - Transaction has been generated to enable settlement following a shortage of position.\n* THRD - Transaction has been generated by a third party, for example, a central counterparty.\n* TRAN - Transaction resulting from a transformation.\n* DCAL - Repo call request was denied since another call already applies.\n* DCAN - Request was denied since the instruction has been cancelled.\n* DFOR - Repo call request was denied. Call not allowed on the concerned repo, for example, out of delay.\n* DPRG - Request was denied because the process of settlement is in progress.\n* DREP - Request was denied because the repo was cancelled.\n* DSET - Request was denied because the instruction was settled.\n* ACRU - Accrued interest amount does not match.\n* CADE - Unrecognised or invalid transaction call delay.\n* CLAT - Counterparty's instruction was too late for matching.\n* CMIS - Matching instruction from the counterparty could not be found.\n* CPCA - Counterparty has cancelled the transaction/instruction.\n* DCMX - Disagreement if trade was executed cum or ex.\n* DELN - Counterparty expects a delivery not a receipt, or counterparty expects a receipt not a delivery.\n* DMCT - Disagreement on automatic generation of market claim or transformation.\n* FRAP - Counterparty's instructions is for free settlement, and yours is for settlement against payment, or vice versa.\n* PHYS - Counterparty's instructions is for physical settlement, and yours is not, or vice versa. OR Physical settlement is impossible for the instructed financial instrument.\n* REGD - Discrepancies exist in the registration details linked to the transaction.\n* REPO - Repurchase rate does not match.\n* RERT - Repurchase rate type does not match.\n* RTGS - Counterparty indicates a settlement via RTGS system and you indicate non-RTGS settlement, or vice versa.\n* DTRA - Counterparty has been contacted or contacted us, and does not recognise the transaction.\n* ICAG - Counterparty indicated an incorrect delivery or receiving agent. OR Unrecognised or invalid participant of delivering or receiving depository or does not match.\n* ICUS - Incorrect delivering or receiving custodian. OR Unrecognised or invalid client or mismatch of delivering or receiving party 1.\n* IEXE - Instruction indicates an incorrect buyer (receiver) or seller (deliverer). OR Unrecognised or mismatch or invalid client of delivering or receiving party 2.\n* LEOG - Counterparty is for settlement through letter of guarantee, your instruction is not, or vice versa.\n* MIME - Missing market execution details.\n* PODU - Instruction has not been matched. It is a possible duplicate instruction.\n* REPR - Cancellation request is in repair.\n* REPP - Unrecognised or invalid premium amount.\n* TERM - Closing date/time does not match.\n* UNBR - Market side trade is unmatched.\n* VASU - Variable rate support does not match.\n* PATD - Disagreement on partial indicator preventing partial settlement.\n* PREL - Transaction has been partially released.\n* CANR - Instruction was in suspense. Suspense period is finished so your cancellation or confirmation of instruction is required.\n* MLAT - Covering money/financial instruments were received too late for completing settlement on a same day basis.\n* OBJT - Financial instruments are, for example, stolen, in dispute, under objection.\n* STCD - Discrepancy in the settlement confirmation.\n* INVM - Invalid or unrecognized modification request.\n* MISM - Statement/status advice request cannot be executed. The message type requested is not valid for the message reference or statement period concerned.\n* NRGM - Cancellation request has been rejected since more than one instruction match to the cancellation criteria.\n* NRGN - Cancellation request has been rejected since the instruction could not be found.\n* VALR - Account servicer validation rule rejection.\n* NORE - No reason to report or no reason available to report.\n",
        "enum" : [ "ADEA", "SMPG", "NSTP", "RQWV", "OTHR", "CDCY", "CDRG", "CDRE", "NARR", "BLOC", "DOCY", "CAIS", "YCOL", "CDEL", "CDAC", "CDLR", "CSDH", "CVAL", "GLOB", "INBC", "LIQU", "MONY", "LACK", "FLIM", "MINO", "NEXT", "NOFX", "LALO", "COLL", "DENO", "CERT", "SAFE", "CASH", "PLCE", "DDEA", "DSEC", "LATE", "DQUA", "DTRD", "MUNO", "BATC", "SDUT", "NCRR", "REFE", "DMON", "TXST", "IIND", "CAEV", "CASY", "DDAT", "SETR", "INPS", "DEPT", "INVB", "INVE", "INVL", "INVN", "PLIS", "CTHP", "CXLR", "DOCC", "AWMO", "CYCL", "LAAW", "AWSH", "FUTU", "BENO", "BOTH", "REGT", "CLHT", "NCON", "CPEC", "PRCY", "CMON", "CLAC", "DKNY", "CHAS", "INCA", "REFU", "DISA", "NEWI", "NMAS", "REFS", "LINK", "PHSE", "PHCK", "DEPO", "SBLO", "FROZ", "SETS", "IAAD", "PRSY", "TAMM", "PART", "PREA", "BYIY", "CANI", "CANS", "CANT", "CANZ", "CORP", "CSUB", "EXPI", "SCEX", "CONF", "CALD", "CALP", "CLAI", "RODE", "SPLI", "THRD", "TRAN", "DCAL", "DCAN", "DFOR", "DPRG", "DREP", "DSET", "ACRU", "CADE", "CLAT", "CMIS", "CPCA", "DCMX", "DELN", "DMCT", "FRAP", "PHYS", "REGD", "REPO", "RERT", "RTGS", "DTRA", "ICAG", "ICUS", "IEXE", "LEOG", "MIME", "PODU", "REPR", "REPP", "TERM", "UNBR", "VASU", "PATD", "PREL", "CANR", "MLAT", "OBJT", "STCD", "INVM", "MISM", "NRGM", "NRGN", "VALR", "NORE" ]
      },
      "InstructionParty" : {
        "type" : "object",
        "description" : "Chain of parties involved in the sending and receiving instruction.",
        "additionalProperties" : false,
        "properties" : {
          "event_sender" : {
            "description" : "Specify the unique identification (BIC) of sender of the instruction.",
            "type" : "string",
            "pattern" : "^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$",
            "readOnly" : true
          },
          "message_originator" : {
            "description" : "Specify the identification of the originator.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35,
            "readOnly" : true
          },
          "event_receiver" : {
            "description" : "Specify the unique identification (BIC) of receiver of the instruction.",
            "type" : "string",
            "pattern" : "^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$",
            "readOnly" : true
          },
          "message_receiver" : {
            "description" : "Specify the identification of the receiver.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35,
            "readOnly" : true
          },
          "create_timestamp" : {
            "$ref" : "#/components/schemas/ISODateTime"
          }
        }
      },
      "OriginalAndCurrentQuantity" : {
        "type" : "object",
        "description" : "Original and current value of an asset-back instrument.",
        "additionalProperties" : false,
        "properties" : {
          "face_amount" : {
            "x-MXComponent" : "ImpliedCurrencyAndAmount",
            "description" : "Quantity expressed as an amount representing the face amount, that is, the principal of a debt instrument.\n\nminInclusive: 0\ntotalDigits: 18\nfractionDigits: 5\n",
            "type" : "string",
            "maxLength" : 18
          },
          "amortised_value" : {
            "x-MXComponent" : "ImpliedCurrencyAndAmount",
            "description" : "Quantity expressed as an amount representing the current amortised face amount of a bond, for example, a periodic reduction/increase of a bond's principal amount.\n\nminInclusive: 0\ntotalDigits: 18\nfractionDigits: 5\n",
            "type" : "string",
            "maxLength" : 18
          }
        },
        "required" : [ "face_amount", "amortised_value" ]
      },
      "OtherIdentification" : {
        "type" : "object",
        "description" : "Other accepted financial instrument's identification than ISIN.",
        "additionalProperties" : false,
        "properties" : {
          "identification" : {
            "x-MXComponent" : "Max35Text",
            "description" : "Identification of a security.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "suffix" : {
            "x-MXComponent" : "Max16Text",
            "description" : "Identifies the suffix of the security identification.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 16
          },
          "type" : {
            "$ref" : "#/components/schemas/IdentificationSourceChoice"
          }
        },
        "required" : [ "identification", "type" ]
      },
      "PartyIdentification" : {
        "type" : "object",
        "description" : "Identification of a party.",
        "additionalProperties" : false,
        "properties" : {
          "identification" : {
            "$ref" : "#/components/schemas/PartyIdentificationChoice"
          }
        },
        "required" : [ "identification" ]
      },
      "PartyIdentificationAndAccount" : {
        "type" : "object",
        "description" : "Party and account details.",
        "additionalProperties" : false,
        "properties" : {
          "identification" : {
            "$ref" : "#/components/schemas/PartyIdentificationChoiceDetail"
          },
          "safekeeping_account" : {
            "$ref" : "#/components/schemas/SecuritiesAccount"
          }
        },
        "required" : [ "identification" ]
      },
      "PartyIdentificationChoice" : {
        "type" : "object",
        "description" : "Choice of formats for the identification of a party.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "bic" : {
              "x-MXComponent" : "AnyBICDec2014Identifier",
              "x-Validation" : true,
              "x-ValidationType" : "Algorithmic",
              "x-Error" : "ErrorCode:Sw.Stds.D00008, ErrorText:Invalid BIC., SWIFTNetValidation:true  Severity:Fatal",
              "description" : "Business identification code of the organisation. Code allocated to a financial or non-financial institution by the ISO 9362 Registration Authority, as described in ISO 9362: 2014 - \"Banking - Banking telecommunication messages - Business identifier code (BIC)\".\n",
              "type" : "string",
              "pattern" : "^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$"
            }
          },
          "required" : [ "bic" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "country" : {
              "x-Validation" : true,
              "x-ValidationType" : "Algorithmic, ReferenceData",
              "x-Error" : "ErrorCode:Sw.Stds.D00004, ErrorText:Invalid Country Code., SWIFTNetValidation:true,  Severity:Fatal",
              "type" : "string",
              "pattern" : "^[A-Z]{2,2}$",
              "description" : "Code to identify a country, a dependency, or another area of particular geopolitical interest, on the basis of country names obtained from the United Nations (ISO 3166, Alpha-2 code)."
            }
          },
          "required" : [ "country" ]
        } ]
      },
      "PartyIdentificationChoiceDetail" : {
        "type" : "object",
        "description" : "Choice of formats for the identification of a party.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "bic" : {
              "x-MXComponent" : "AnyBICDec2014Identifier",
              "x-Validation" : true,
              "x-ValidationType" : "Algorithmic",
              "x-Error" : "ErrorCode:Sw.Stds.D00008, ErrorText:Invalid BIC., SWIFTNetValidation:true  Severity:Fatal",
              "description" : "Business identification code of the organisation. Code allocated to a financial or non-financial institution by the ISO 9362 Registration Authority, as described in ISO 9362: 2014 - \"Banking - Banking telecommunication messages - Business identifier code (BIC)\".\n",
              "type" : "string",
              "pattern" : "^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$"
            }
          },
          "required" : [ "bic" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "proprietary_identification" : {
              "x-MXComponent" : "GenericIdentification84",
              "$ref" : "#/components/schemas/GenericIdentification"
            }
          },
          "required" : [ "proprietary_identification" ]
        } ]
      },
      "PercentageRate" : {
        "type" : "string",
        "description" : "Rate expressed as a percentage, that is, in hundredths, for example, 0.7 is 7/10 of a percent, and 7.0 is 7%.",
        "maxLength" : 12
      },
      "PostalAddress" : {
        "type" : "object",
        "description" : "Information that locates and identifies a specific address, as defined by postal services.",
        "additionalProperties" : false,
        "properties" : {
          "address_type" : {
            "$ref" : "#/components/schemas/AddressTypeCode"
          },
          "address_line" : {
            "type" : "array",
            "maxItems" : 5,
            "description" : "Information that locates and identifies a specific address, as defined by postal services, that is presented in free format text.",
            "items" : {
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 70
            }
          },
          "street_name" : {
            "x-MXComponent" : "Max70Text",
            "description" : "Name of a street or thoroughfare.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 70
          },
          "building_number" : {
            "x-MXComponent" : "Max16Text",
            "description" : "Number that identifies the position of a building on a street.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 16
          },
          "post_box" : {
            "x-MXComponent" : "Max16Text",
            "description" : "Numbered box in a post office, assigned to a person or organisation, where letters are kept until called for.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 16
          },
          "post_code" : {
            "x-MXComponent" : "Max16Text",
            "description" : "Identifier consisting of a group of letters and/or numbers that is added to a postal address to assist the sorting of mail.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 16
          },
          "town_name" : {
            "x-MXComponent" : "Max35Text",
            "description" : "Name of a built-up area, with defined boundaries, and a local government.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "country_sub_division" : {
            "x-MXComponent" : "Max35Text",
            "description" : "Identifies a subdivision of a country for example, state, region, county.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "country" : {
            "x-MXComponent" : "CountryCode",
            "x-Validation" : true,
            "x-ValidationType" : "Algorithmic, ReferenceData",
            "x-Error" : "ErrorCode:Sw.Stds.D00004, ErrorText:Invalid Country Code., SWIFTNetValidation:true,  Severity:Fatal",
            "type" : "string",
            "pattern" : "^[A-Z]{2,2}$",
            "description" : "Code to identify a country, a dependency, or another area of particular geopolitical interest, on the basis of country names obtained from the United Nations (ISO 3166, Alpha-2 code)."
          }
        },
        "required" : [ "country" ]
      },
      "Price" : {
        "type" : "object",
        "description" : "Type and information about a price.",
        "additionalProperties" : false,
        "properties" : {
          "type" : {
            "$ref" : "#/components/schemas/YieldedOrValueTypeChoice"
          },
          "value" : {
            "$ref" : "#/components/schemas/PriceRateOrAmountChoice"
          }
        },
        "required" : [ "type", "value" ]
      },
      "PriceRateOrAmountChoice" : {
        "type" : "object",
        "description" : "Choice of formats for the price.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "rate" : {
              "$ref" : "#/components/schemas/PercentageRate"
            }
          },
          "required" : [ "rate" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "amount" : {
              "$ref" : "#/components/schemas/ActiveOrHistoricCurrencyAnd13DecimalAmount"
            }
          },
          "required" : [ "amount" ]
        } ]
      },
      "PriceValueTypeCode" : {
        "type" : "string",
        "description" : "Price will not be paid.\n* DISC - Price expressed as a number of percentage points below par, for example, a discount price of 2.0% equals a price of 98 when par is 100.\n* PREM - Price expressed as a number of percentage points above par, for example, a premium price of 2.0% equals a price of 102 when par is 100.\n* PARV - Price is the face amount.\n",
        "enum" : [ "DISC", "PREM", "PARV" ]
      },
      "QuantityChoice" : {
        "type" : "object",
        "description" : "Choice of format for the quantity.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "quantity" : {
              "x-MXComponent" : "FinancialInstrumentQuantity33Choice",
              "$ref" : "#/components/schemas/FinancialInstrumentQuantityChoice"
            }
          },
          "required" : [ "quantity" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "original_and_current_face" : {
              "x-MXComponent" : "OriginalAndCurrentQuantities1",
              "$ref" : "#/components/schemas/OriginalAndCurrentQuantity"
            }
          },
          "required" : [ "original_and_current_face" ]
        } ]
      },
      "Reference" : {
        "type" : "object",
        "description" : "Provides list of identification assigned to trade or securities settlement within its lifecycle.",
        "additionalProperties" : false,
        "properties" : {
          "uti" : {
            "x-MXComponent" : "Max52Text",
            "description" : "An unique identification assigned to the trade by the investor or the trading party. This reference will be used throughout the trade life cycle to access/update the trade details.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 52,
            "readOnly" : true
          },
          "participant_transaction_identification" : {
            "x-MXComponent" : "Max35Text",
            "description" : "The SEME or the transaction identification of the most recent instruction message that the participant BIC has sent (not necessarily instruction). The value might be the same as the Participant Instruction Identifier.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "message_identification" : {
            "x-MXComponent" : "Max35Text",
            "description" : "A point to point identification (e.g. MEOR, MERE) when instruction identification is not available or the entire journey is not on chain. This identification is only available when the participant BIC's transaction identification is not available.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "message_sender" : {
            "description" : "Specify the BIC of the participant involved in the settlement instruction.  Identifies the sender of the Participant Business Message Identifier SEME (prior field)\n",
            "type" : "string",
            "pattern" : "^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$"
          }
        }
      },
      "ReferencesChoice" : {
        "type" : "object",
        "description" : "Choice of reference.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "securities_settlement_transaction_identification" : {
              "x-MXComponent" : "Max35Text",
              "description" : "Unambiguous identification of a securities settlement transaction as known by the account owner (or instructing party acting on its behalf).\n",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 35
            }
          },
          "required" : [ "securities_settlement_transaction_identification" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "account_servicer_transaction_identification" : {
              "x-MXComponent" : "Max35Text",
              "description" : "Unambiguous identification of the transaction as known by the account servicer.",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 35
            }
          },
          "required" : [ "account_servicer_transaction_identification" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "market_infrastructure_transaction_identification" : {
              "x-MXComponent" : "Max35Text",
              "description" : "Identification of a transaction assigned by a market infrastructure other than a central securities depository, for example, Target2-Securities. Corresponds to sequence A1 LINK -> :20C::MITI.\n",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 35
            }
          },
          "required" : [ "market_infrastructure_transaction_identification" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "pool_identification" : {
              "x-MXComponent" : "Max35Text",
              "description" : "Collective reference identifying a set of messages. Corresponds to sequence A1 LINK -> :20C::POOL'\n",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 35
            }
          },
          "required" : [ "pool_identification" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "common_identification" : {
              "x-MXComponent" : "Max35Text",
              "description" : "Unique reference agreed upon by the two trade counterparties to identify the trade.",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 35
            }
          },
          "required" : [ "common_identification" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "trade_identification" : {
              "x-MXComponent" : "Max35Text",
              "description" : "Reference assigned to the trade by the investor or the trading party. This reference will be used throughout the trade life cycle to access/update the trade details.\n",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 35
            }
          },
          "required" : [ "trade_identification" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "other_transaction_identification" : {
              "x-MXComponent" : "Max35Text",
              "description" : "Identification of a transaction that cannot be identified using a standard reference element present in the message.\n",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 35
            }
          },
          "required" : [ "other_transaction_identification" ]
        } ]
      },
      "SafeKeepingPlace" : {
        "type" : "object",
        "description" : "Place where the securities are safe-kept, physically or notionally. This place can be, for example, a local custodian, a Central Securities Depository (CSD) or an International Central Securities Depository (ICSD).",
        "additionalProperties" : false,
        "properties" : {
          "safekeeping_place_format" : {
            "$ref" : "#/components/schemas/SafekeepingPlaceFormatChoice"
          }
        }
      },
      "SafekeepingPlaceCode" : {
        "type" : "string",
        "description" : "Specifies the type of place of safekeeping.\n\n* SHHE - Used for certain financial instruments, for example, US mutual funds, where settlement is internal only, that is, there is no external movement of securities.\n* NCSD - Financial instruments held at a National Central Securities Depository.\n* CUST - Financial instruments held at a local custodian.\n* ICSD - Financial instruments held at an International Central Securities Depository.\n",
        "enum" : [ "SHHE", "NCSD", "CUST", "ICSD" ]
      },
      "SafekeepingPlaceFormatChoice" : {
        "type" : "object",
        "description" : "Choice between formats for the place of safekeeping.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "identification" : {
              "$ref" : "#/components/schemas/SafekeepingPlaceTypeAndText"
            }
          },
          "required" : [ "identification" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "country" : {
              "x-MXComponent" : "CountryCode",
              "x-Validation" : true,
              "x-ValidationType" : "Algorithmic, ReferenceData",
              "x-Error" : "ErrorCode:Sw.Stds.D00004, ErrorText:Invalid Country Code., SWIFTNetValidation:true,  Severity:Fatal",
              "type" : "string",
              "pattern" : "^[A-Z]{2,2}$",
              "description" : "Place of safekeeping expressed with a country code."
            }
          },
          "required" : [ "country" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "type_and_identification" : {
              "$ref" : "#/components/schemas/SafekeepingPlaceTypeAndIdentification"
            }
          },
          "required" : [ "type_and_identification" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "proprietary" : {
              "x-MXComponent" : "GenericIdentification47",
              "$ref" : "#/components/schemas/GenericIdentification444"
            }
          },
          "required" : [ "proprietary" ]
        } ]
      },
      "SafekeepingPlaceTypeAndIdentification" : {
        "type" : "object",
        "description" : "Identification of the type of place of safekeeping expressed as a code and a BIC.",
        "additionalProperties" : false,
        "properties" : {
          "safekeeping_place_type" : {
            "$ref" : "#/components/schemas/SafekeepingPlaceCode"
          },
          "identification" : {
            "x-MXComponent" : "AnyBICDec2014Identifier",
            "x-Validation" : true,
            "x-ValidationType" : "Algorithmic",
            "x-Error" : "ErrorCode:Sw.Stds.D00008, ErrorText:Invalid BIC., SWIFTNetValidation:true  Severity:Fatal",
            "description" : "Specify the business identification code of the place of safekeeping. Organisation used as the safekeeping place for the securities.",
            "type" : "string",
            "pattern" : "^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$"
          }
        },
        "required" : [ "safekeeping_place_type", "identification" ]
      },
      "SafekeepingPlaceTypeAndText" : {
        "type" : "object",
        "description" : "Identification of the place of safekeeping expressed as a code and a narrative description.",
        "additionalProperties" : false,
        "properties" : {
          "safekeeping_place_type" : {
            "$ref" : "#/components/schemas/SafekeepingPlaceCode"
          },
          "identification" : {
            "x-MXComponent" : "Max35Text",
            "description" : "Additional information about the place of safekeeping.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          }
        },
        "required" : [ "safekeeping_place_type" ]
      },
      "SecuritiesAccount" : {
        "type" : "object",
        "description" : "Account to or from which a securities entry is made.",
        "additionalProperties" : false,
        "properties" : {
          "identification" : {
            "x-MXComponent" : "RestrictedFINXMax35Text",
            "description" : "Unambiguous identification for the account between the account owner and the account servicer.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "type" : {
            "x-MXComponent" : "GenericIdentification47",
            "$ref" : "#/components/schemas/GenericIdentification444"
          }
        },
        "required" : [ "identification" ]
      },
      "SecuritiesIdentification" : {
        "type" : "object",
        "description" : "Identification of a security.",
        "additionalProperties" : false,
        "properties" : {
          "isin" : {
            "x-MXComponent" : "ISINOct2015Identifier",
            "description" : "International Securities Identification Number (ISIN). A numbering system designed by the United Nation's International Organisation for Standardisation (ISO). The ISIN is composed of a 2-character prefix representing the country of issue, followed by the national security number (if one exists), and a check digit. Each country has a national numbering agency that assigns ISIN numbers for securities in that country.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 12
          },
          "other_identification" : {
            "description" : "Identification of a security by proprietary or domestic identification scheme.",
            "type" : "array",
            "items" : {
              "$ref" : "#/components/schemas/OtherIdentification"
            }
          },
          "description" : {
            "x-MXComponent" : "Max140Text",
            "description" : "Textual description of a security instrument.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 140
          }
        }
      },
      "SecuritiesMovementType" : {
        "type" : "string",
        "description" : "Specifies whether the settlement transaction is a delivery or receipt.\n\n* DELI - Financial instruments will be debited from the safekeeping account.\n* RECE - Financial instruments will be credited to the safekeeping account.\n",
        "enum" : [ "DELI", "RECE" ]
      },
      "SecuritiesSettlementInstruction" : {
        "type" : "object",
        "description" : "Settlement of the securities in a securities transaction, that is, the instruction to deliver or receive securities, involving the payment of an amount of money or not.",
        "additionalProperties" : false,
        "properties" : {
          "securities_movement_type" : {
            "x-MXComponent" : "SettlementTypeAndAdditionalParameters21",
            "$ref" : "#/components/schemas/SecuritiesMovementType"
          },
          "payment" : {
            "x-MXComponent" : "SettlementTypeAndAdditionalParameters21",
            "$ref" : "#/components/schemas/SecuritiesSettlementMethod"
          },
          "trade_detail" : {
            "x-MXComponent" : "SecuritiesTradeDetails119",
            "$ref" : "#/components/schemas/Trade"
          },
          "financial_instrument" : {
            "x-MXComponent" : "SecurityIdentification19",
            "$ref" : "#/components/schemas/Security"
          },
          "settlement_quantity" : {
            "x-MXComponent" : "Quantity51Choice",
            "$ref" : "#/components/schemas/QuantityChoice"
          },
          "settled_quantity" : {
            "x-MXComponent" : "Quantity51Choice",
            "readOnly" : true,
            "$ref" : "#/components/schemas/QuantityChoice"
          },
          "previously_settled_quantity" : {
            "x-MXComponent" : "FinancialInstrumentQuantity33Choice",
            "readOnly" : true,
            "$ref" : "#/components/schemas/FinancialInstrumentQuantityChoice"
          },
          "remaining_to_be_settled_quantity" : {
            "x-MXComponent" : "FinancialInstrumentQuantity33Choice",
            "readOnly" : true,
            "$ref" : "#/components/schemas/FinancialInstrumentQuantityChoice"
          },
          "safekeeping_account" : {
            "x-MXComponent" : "SecuritiesAccount19",
            "$ref" : "#/components/schemas/SecuritiesAccount"
          },
          "safekeeping_place" : {
            "x-MXComponent" : "SafeKeepingPlace3",
            "$ref" : "#/components/schemas/SafeKeepingPlace"
          },
          "delivering_settlement_party" : {
            "x-MXComponent" : "SettlementParties100",
            "$ref" : "#/components/schemas/SettlementParty"
          },
          "receiving_settlement_party" : {
            "x-MXComponent" : "SettlementParties100",
            "$ref" : "#/components/schemas/SettlementParty"
          },
          "settlement_amount" : {
            "x-MXComponent" : "AmountAndDirection94",
            "$ref" : "#/components/schemas/AmountAndDirectionSummary"
          },
          "settled_amount" : {
            "x-MXComponent" : "AmountAndDirection94",
            "$ref" : "#/components/schemas/AmountAndDirectionSummary"
          },
          "previously_settled_amount" : {
            "x-MXComponent" : "AmountAndDirection52",
            "$ref" : "#/components/schemas/AmountAndDirectionSummary"
          },
          "remaining_to_be_settled_amount" : {
            "x-MXComponent" : "AmountAndDirection52",
            "$ref" : "#/components/schemas/AmountAndDirectionSummary"
          },
          "settlement_tracker_status" : {
            "$ref" : "#/components/schemas/SecuritiesTrackerStatus"
          },
          "instruction_status" : {
            "type" : "array",
            "description" : "Specifies the state of a Securities Settlement Instruction in its processing cycle.",
            "items" : {
              "$ref" : "#/components/schemas/SecuritiesSettlementInstructionStatusDetail"
            }
          },
          "instruction_exchange_party" : {
            "type" : "array",
            "description" : "Chain of parties involved in the sending and receiving instruction.",
            "items" : {
              "$ref" : "#/components/schemas/InstructionParty"
            }
          }
        },
        "required" : [ "securities_movement_type", "payment", "trade_detail", "financial_instrument", "settlement_tracker_status" ]
      },
      "SecuritiesSettlementInstructionDetail" : {
        "type" : "object",
        "description" : "Settlement of the securities in a securities transaction, that is, the instruction to deliver or receive securities, involving the payment of an amount of money or not.",
        "additionalProperties" : false,
        "properties" : {
          "transaction_identification" : {
            "x-MXComponent" : "Max35Text",
            "description" : "Unambiguous identification of the message as known by the instructing party.  Corresponds to :20C:SEME\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "securities_movement_type" : {
            "x-MXComponent" : "SettlementTypeAndAdditionalParameters21",
            "$ref" : "#/components/schemas/SecuritiesMovementType"
          },
          "payment" : {
            "x-MXComponent" : "SettlementTypeAndAdditionalParameters21",
            "$ref" : "#/components/schemas/SecuritiesSettlementMethod"
          },
          "linkage" : {
            "x-MXComponent" : "Linkages64",
            "description" : "Link to another transaction that must be processed after, before or at the same time.",
            "type" : "array",
            "items" : {
              "$ref" : "#/components/schemas/SecuritiesTradeIdentification"
            }
          },
          "trade_detail" : {
            "x-MXComponent" : "SecuritiesTradeDetails119",
            "$ref" : "#/components/schemas/TradeSummary"
          },
          "financial_instrument" : {
            "x-MXComponent" : "SecurityIdentification19",
            "$ref" : "#/components/schemas/Security"
          },
          "settlement_quantity" : {
            "x-MXComponent" : "Quantity51Choice",
            "$ref" : "#/components/schemas/QuantityChoice"
          },
          "settled_quantity" : {
            "x-MXComponent" : "Quantity51Choice",
            "readOnly" : true,
            "$ref" : "#/components/schemas/QuantityChoice"
          },
          "previously_settled_quantity" : {
            "x-MXComponent" : "FinancialInstrumentQuantity33Choice",
            "readOnly" : true,
            "$ref" : "#/components/schemas/FinancialInstrumentQuantityChoice"
          },
          "remaining_to_be_settled_quantity" : {
            "x-MXComponent" : "FinancialInstrumentQuantity33Choice",
            "readOnly" : true,
            "$ref" : "#/components/schemas/FinancialInstrumentQuantityChoice"
          },
          "safekeeping_account" : {
            "x-MXComponent" : "SecuritiesAccount19",
            "$ref" : "#/components/schemas/SecuritiesAccount"
          },
          "safekeeping_place" : {
            "x-MXComponent" : "SafeKeepingPlace3",
            "$ref" : "#/components/schemas/SafeKeepingPlace"
          },
          "delivering_settlement_party" : {
            "x-MXComponent" : "SettlementParties100",
            "$ref" : "#/components/schemas/SettlementParty"
          },
          "receiving_settlement_party" : {
            "x-MXComponent" : "SettlementParties100",
            "$ref" : "#/components/schemas/SettlementParty"
          },
          "settlement_amount" : {
            "x-MXComponent" : "AmountAndDirection94",
            "$ref" : "#/components/schemas/AmountAndDirectionSummary"
          },
          "settled_amount" : {
            "x-MXComponent" : "AmountAndDirection94",
            "readOnly" : true,
            "$ref" : "#/components/schemas/AmountAndDirectionSummary"
          },
          "previously_settled_amount" : {
            "$ref" : "#/components/schemas/AmountAndDirectionSummary"
          },
          "remaining_to_be_settled_amount" : {
            "x-MXComponent" : "AmountAndDirection52",
            "readOnly" : true,
            "$ref" : "#/components/schemas/AmountAndDirectionSummary"
          },
          "settlement_tracker_status" : {
            "$ref" : "#/components/schemas/SecuritiesTrackerStatus"
          },
          "instruction_status" : {
            "type" : "array",
            "description" : "Specifies the state of a Securities Settlement Instruction in its processing cycle.",
            "items" : {
              "$ref" : "#/components/schemas/SecuritiesSettlementInstructionStatusDetail"
            }
          },
          "instruction_exchange_party" : {
            "$ref" : "#/components/schemas/InstructionParty"
          },
          "originating_channel" : {
            "description" : "Specify the originiting channel of the event.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          }
        },
        "required" : [ "transaction_identification", "securities_movement_type", "payment", "trade_detail", "financial_instrument" ]
      },
      "SecuritiesSettlementInstructionLifecycleStatusTypeCode" : {
        "type" : "string",
        "description" : "Provides the lifecycle status of a settlement instruction.\n\n* CAND - Instruction has been cancelled.\n* CANP - Pending Cancellation\n* CACK - Repo call request is acknowledged/accepted.\n* CGEN - Generated\n* CPRC - Provides the status of a cancellation request.\n* DEND - Denied\n* MACH - Instruction has been matched.\n* MPRC - Modification request from the counterparty is awaiting for your modification request or your consent.\n* MODC - Modification has been completed.\n* MOPN - Modification is pending. It is unknown at this time whether the modification can be affected.\n* NMAT - Instruction has not been matched.\n* PACK - Cancellation request has been acknowledged for further processing by the account servicer.\n* PEND - Instruction is pending. Settlement at the instructed settlement date is still possible.\n* PENF - Instruction is failing. Settlement at the instructed settlement date is no longer possible.\n* PPRC - Processing of the instruction is pending.\n* REJT - Instruction has been rejected for further processing.\n* REPR - Instruction is accepted but in repair.\n",
        "enum" : [ "CAND", "CANP", "CACK", "CGEN", "CPRC", "DEND", "MACH", "MPRC", "MODC", "MOPN", "NMAT", "PACK", "PEND", "PENF", "PPRC", "REJT", "REPR" ]
      },
      "SecuritiesSettlementInstructionStatusDetail" : {
        "type" : "object",
        "description" : "Specifies the status of the security within its lifecycle.",
        "additionalProperties" : false,
        "properties" : {
          "status_type" : {
            "$ref" : "#/components/schemas/SecuritiesSettlementInstructionStatusTypeCode"
          },
          "status_code" : {
            "$ref" : "#/components/schemas/InstructionLifecycleStatusChoice"
          },
          "reason" : {
            "type" : "array",
            "items" : {
              "$ref" : "#/components/schemas/StatusReason"
            }
          },
          "status_issuer" : {
            "x-MXComponent" : "BICFIDec2014Identifier",
            "description" : "Specifies the assignor identification (BIC) of the status of the security settlement instruction within its lifecycle.",
            "type" : "string",
            "pattern" : "^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$",
            "readOnly" : true
          },
          "status_update_timestamp" : {
            "description" : "Date and time when this instruction was last updated.",
            "type" : "string",
            "format" : "date-time",
            "readOnly" : true
          }
        },
        "required" : [ "status_type", "status_code", "status_issuer", "status_update_timestamp" ]
      },
      "SecuritiesSettlementInstructionStatusTypeCode" : {
        "type" : "string",
        "description" : "Specifies the status type of the security within its lifecycle.\n\n* CPRC - Cancellation Processing Status\n* INMH - Inferred Matching Status\n* IPRC - Instruction Processing Status\n* TPRC - Processing Change Command Status\n* MTCH - Matching Status\n* CALL - Repo Call Request Status\n* SPRC - Request for Statement/Status Advice Status\n* SETT - Settlement Status\n",
        "enum" : [ "CPRC", "INMH", "IPRC", "TPRC", "MTCH", "CALL", "SPRC", "SETT" ]
      },
      "SecuritiesSettlementInstructionSummary" : {
        "type" : "object",
        "description" : "Settlement of the securities in a securities transaction, that is, the instruction to deliver or receive securities, involving the payment of an amount of money or not. Settlement Instruction for which a status is provided.",
        "additionalProperties" : false,
        "properties" : {
          "securities_movement_type" : {
            "x-MXComponent" : "SettlementTypeAndAdditionalParameters21",
            "$ref" : "#/components/schemas/SecuritiesMovementType"
          },
          "payment" : {
            "x-MXComponent" : "SettlementTypeAndAdditionalParameters21",
            "$ref" : "#/components/schemas/SecuritiesSettlementMethod"
          },
          "financial_instrument" : {
            "x-MXComponent" : "SecurityIdentification19",
            "$ref" : "#/components/schemas/Security"
          },
          "settlement_tracker_status" : {
            "$ref" : "#/components/schemas/SecuritiesTrackerStatus"
          },
          "instruction_status" : {
            "type" : "array",
            "description" : "Specifies the state of a Securities Settlement Instruction in its processing cycle.",
            "items" : {
              "$ref" : "#/components/schemas/SecuritiesSettlementInstructionStatusDetail"
            }
          }
        },
        "required" : [ "securities_movement_type", "payment", "settlement_tracker_status" ]
      },
      "SecuritiesSettlementMethod" : {
        "type" : "string",
        "description" : "Specifies how the transaction is to be settled.\n\n* FREE - Settlement of the financial instrument and cash is separate.\n* APMT - Settlement of the financial instrument and cash takes place in a delivery versus payment (DVP) environment, that is, through an International Central Securities Depository (ICSD) or Central Securities Depository (CSD).\n",
        "enum" : [ "FREE", "APMT" ]
      },
      "SecuritiesSettlementStatusReport" : {
        "type" : "object",
        "description" : "Provides the status of the securities settlement within its lifecycle.",
        "additionalProperties" : false,
        "properties" : {
          "settlement_status_report" : {
            "type" : "array",
            "description" : "Provides a summary of the status of the securities settlement within its lifecycle.",
            "items" : {
              "$ref" : "#/components/schemas/SecuritiesSettlementStatusSummaryReport"
            }
          },
          "meta" : {
            "$ref" : "#/components/schemas/Meta"
          },
          "links" : {
            "$ref" : "#/components/schemas/Link"
          }
        }
      },
      "SecuritiesSettlementStatusSummaryReport" : {
        "type" : "object",
        "description" : "Provides the summary status report of the securities settlement within its lifecycle.",
        "additionalProperties" : false,
        "properties" : {
          "transaction_reference" : {
            "$ref" : "#/components/schemas/Reference"
          },
          "settlement_instruction" : {
            "type" : "array",
            "minItems" : 1,
            "maxItems" : 2,
            "description" : "Represent the buy/sell side of the transactions",
            "items" : {
              "$ref" : "#/components/schemas/SecuritiesSettlementInstructionSummary"
            }
          },
          "tracker_update_timestamp" : {
            "description" : "Date and time when the securities tracker was last updated.",
            "type" : "string",
            "format" : "date-time"
          }
        },
        "required" : [ "settlement_instruction", "tracker_update_timestamp" ]
      },
      "SecuritiesSettlementView" : {
        "type" : "object",
        "description" : "Consolidated view of settlement instructions.",
        "additionalProperties" : false,
        "properties" : {
          "transaction_reference" : {
            "$ref" : "#/components/schemas/Reference"
          },
          "settlement_instruction" : {
            "description" : "List a latest view of each side of the post trade settlement instructions.",
            "type" : "array",
            "items" : {
              "$ref" : "#/components/schemas/SecuritiesSettlementInstruction"
            }
          }
        }
      },
      "SecuritiesTrackerStatus" : {
        "type" : "object",
        "description" : "Specifies the status of the security within its lifecycle.",
        "additionalProperties" : false,
        "properties" : {
          "settlement_tracker_status" : {
            "readOnly" : true,
            "$ref" : "#/components/schemas/SecuritiesTrackerStatusType"
          },
          "status_issuer" : {
            "description" : "Specifies the assignor identification (BIC) of the status of the security settlement instruction within its lifecycle.",
            "type" : "string",
            "pattern" : "^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$",
            "readOnly" : true
          },
          "status_update_timestamp" : {
            "description" : "Date and time at which the instruction was created.",
            "type" : "string",
            "format" : "date-time",
            "readOnly" : true
          }
        },
        "required" : [ "status_issuer", "status_update_timestamp" ]
      },
      "SecuritiesTrackerStatusType" : {
        "type" : "string",
        "description" : "Specifies the status of the security within its lifecycle.\n\n* CANCELLED - Instruction/request has been cancelled.\n* CANCEL_REQUESTED - Instruction cancel initiated.\n* CONFIRMATION_CANCELLED - Transaction is cancelled.\n* FAILED - Instruction is failing.\n* INITIATED - Settlement instruction initiated.\n* MATCHED - Instruction is matched.\n* PARTIALLY_SETTLED - Part, but not all, of a Trade's value has settled, and no further elements of the Trade's value are expected to be settled.\n* PENDING - Instruction is pending. Settlement at the instructed settlement date is still possible.\n* REJECTED - Settlement is rejected.\n* REPLACED - Original instruction has been cancelled and replaced.\n* REVERSED - Original instruction has been reversed.\n* SETTLED - Settlement is complete.\n* UN_MATCHED - Instruction is unmatched.\n",
        "enum" : [ "CANCELLED", "CANCEL_REQUESTED", "CONFIRMATION_CANCELLED", "FAILED", "INITIATED", "MATCHED", "PARTIALLY_SETTLED", "PENDING", "REJECTED", "REPLACED", "REVERSED", "SETTLED", "UN_MATCHED" ]
      },
      "SecuritiesTradeIdentification" : {
        "type" : "object",
        "description" : "Specifies the different identifications associated with a securities transaction.",
        "additionalProperties" : false,
        "properties" : {
          "reference" : {
            "$ref" : "#/components/schemas/ReferencesChoice"
          }
        },
        "required" : [ "reference" ]
      },
      "Security" : {
        "type" : "object",
        "description" : "Investment product offered by a financial institution to its customers. Financial instruments representing a sum of rights of the investor vis-a-vis the issuer.",
        "additionalProperties" : false,
        "properties" : {
          "financial_instrument_identification" : {
            "x-MXComponent" : "SecurityIdentification19",
            "$ref" : "#/components/schemas/SecuritiesIdentification"
          }
        },
        "required" : [ "financial_instrument_identification" ]
      },
      "SettlementDateChoice" : {
        "type" : "object",
        "description" : "Choice of format for the settlement date.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "date" : {
              "$ref" : "#/components/schemas/DateAndDateTimeChoice"
            }
          },
          "required" : [ "date" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "date_code" : {
              "x-MXComponent" : "SettlementDateCode9Choice",
              "$ref" : "#/components/schemas/SettlementDateCodeChoice"
            }
          },
          "required" : [ "date_code" ]
        } ]
      },
      "SettlementDateCode" : {
        "type" : "string",
        "description" : "Specifies the date of settlement, in coded form.\n\n* WISS - Settlement is to be done when the security is issued.\n",
        "enum" : [ "WISS" ]
      },
      "SettlementDateCodeChoice" : {
        "type" : "object",
        "description" : "Choice of format for the settlement date code.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "code" : {
              "$ref" : "#/components/schemas/SettlementDateCode"
            }
          },
          "required" : [ "code" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "proprietary" : {
              "x-MXComponent" : "GenericIdentification47",
              "$ref" : "#/components/schemas/GenericIdentification444"
            }
          },
          "required" : [ "proprietary" ]
        } ]
      },
      "SettlementParty" : {
        "type" : "object",
        "description" : "Chain of parties involved in the settlement of a transaction, including receipts and deliveries, book transfers, treasury deals, or other activities, resulting in the movement of a security or amount of money from one account to another.",
        "additionalProperties" : false,
        "properties" : {
          "depository" : {
            "$ref" : "#/components/schemas/PartyIdentification"
          },
          "party1" : {
            "$ref" : "#/components/schemas/PartyIdentificationAndAccount"
          },
          "party2" : {
            "$ref" : "#/components/schemas/PartyIdentificationAndAccount"
          },
          "party3" : {
            "$ref" : "#/components/schemas/PartyIdentificationAndAccount"
          },
          "party4" : {
            "$ref" : "#/components/schemas/PartyIdentificationAndAccount"
          },
          "party5" : {
            "$ref" : "#/components/schemas/PartyIdentificationAndAccount"
          }
        }
      },
      "StatusReason" : {
        "type" : "object",
        "description" : "Reason provided for the status.",
        "additionalProperties" : false,
        "properties" : {
          "reason_type" : {
            "$ref" : "#/components/schemas/StatusReasonTypeCode"
          },
          "reason_code" : {
            "$ref" : "#/components/schemas/InstructionLifecycleStatusReasonChoice"
          },
          "additional_reason_information" : {
            "x-MXComponent" : "Max210Text",
            "description" : "Provides additional information about the processed instruction.  Corresponds to sequence A2a REAS ::70D:REAS of the confirmation message.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 210
          }
        },
        "required" : [ "reason_type" ]
      },
      "StatusReasonTypeCode" : {
        "type" : "string",
        "description" : "Type of the status reason\n\n* PACK - Acknowledged/Accepted Reason\n* CAND - Cancellation Reason\n* DEND - Denied Reason\n* CGEN - Generated Reason\n* PEND - PendingReason\n* CANP - Pending Cancellation Reason\n* PENF - Pending/Failing Reason\n* MOPN - Pending Modification Reason\n* PPRC - Pending Processing Reason\n* REJT - Rejection Reason\n* REPR - Repair Reason\n* CACK - Repo Call Acknowledgement Reason\n* NMAT - Unmatched Reason\n",
        "enum" : [ "PACK", "CAND", "DEND", "CGEN", "PEND", "CANP", "PENF", "MOPN", "PPRC", "REJT", "REPR", "CACK", "NMAT" ]
      },
      "Trade" : {
        "type" : "object",
        "description" : "Trade for which settlement information is provided.",
        "additionalProperties" : false,
        "properties" : {
          "uti" : {
            "description" : "Reference assigned to the trade by the investor or the trading party. This reference will be used throughout the trade life cycle to access/update the trade details. Corresponds to sequence A1 LINK -> :20a:::TRRF Option U.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 52,
            "pattern" : "^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ ]{1,52}$"
          },
          "trade_date" : {
            "x-MXComponent" : "TradeDate8Choice",
            "$ref" : "#/components/schemas/TradeDateChoice"
          },
          "settlement_date" : {
            "x-MXComponent" : "SettlementDate17Choice",
            "$ref" : "#/components/schemas/SettlementDateChoice"
          },
          "effective_settlement_date" : {
            "x-MXComponent" : "SettlementDate18Choice",
            "$ref" : "#/components/schemas/EffectiveSettlementDateChoice"
          }
        },
        "required" : [ "settlement_date" ]
      },
      "TradeDateChoice" : {
        "type" : "object",
        "description" : "Choice of format for the trade date.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "date" : {
              "$ref" : "#/components/schemas/DateAndDateTimeChoice"
            }
          },
          "required" : [ "date" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "date_code" : {
              "$ref" : "#/components/schemas/TradeDateCodeChoice"
            }
          },
          "required" : [ "date_code" ]
        } ]
      },
      "TradeDateCodeChoice" : {
        "type" : "object",
        "description" : "Choice of format for the trade date code.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "code" : {
              "$ref" : "#/components/schemas/DateTypeCode"
            }
          },
          "required" : [ "code" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "proprietary" : {
              "x-MXComponent" : "GenericIdentification47",
              "$ref" : "#/components/schemas/GenericIdentification444"
            }
          },
          "required" : [ "proprietary" ]
        } ]
      },
      "TradeSummary" : {
        "type" : "object",
        "description" : "Trade for which settlement information is provided.",
        "additionalProperties" : false,
        "properties" : {
          "uti" : {
            "description" : "Reference assigned to the trade by the investor or the trading party. This reference will be used throughout the trade life cycle to access/update the trade details.\n\nCorresponds to sequence A1 LINK -> :20a:::TRRF Option U.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 52,
            "pattern" : "^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ ]{1,52}$"
          },
          "trade_date" : {
            "x-MXComponent" : "TradeDate8Choice",
            "$ref" : "#/components/schemas/TradeDateChoice"
          },
          "settlement_date" : {
            "x-MXComponent" : "SettlementDate17Choice",
            "$ref" : "#/components/schemas/SettlementDateChoice"
          },
          "effective_settlement_date" : {
            "x-MXComponent" : "SettlementDate18Choice",
            "$ref" : "#/components/schemas/EffectiveSettlementDateChoice"
          }
        }
      },
      "TradeTransactionConditionChoice" : {
        "type" : "object",
        "description" : "Choice of format for the trade transaction condition.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "code" : {
              "$ref" : "#/components/schemas/TradeTransactionConditionCode"
            }
          },
          "required" : [ "code" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "proprietary" : {
              "$ref" : "#/components/schemas/GenericIdentification444"
            }
          },
          "required" : [ "proprietary" ]
        } ]
      },
      "TradeTransactionConditionCode" : {
        "type" : "string",
[...]
